LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
EmbedMapUnits.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::embed
| interfaces related to embedded objects, both native UNO and OLE.

## Constant Groups
constants | com::sun::star::embed::EmbedMapUnits
| contains list of possible map modes supported by embedded object.

## Variables
const long | ONE_100TH_MM = 0
| In this type of map mode one logical point is equal to one-hundredth of millimeter. More...
const long | ONE_10TH_MM = 1
| In this type of map mode one logical point is equal to one-tenth of millimeter. More...
const long | ONE_MM = 2
| In this type of map mode one logical point is equal to one millimeter. More...
const long | ONE_CM = 3
| In this type of map mode one logical point is equal to one centimeter. More...
const long | ONE_1000TH_INCH = 4
| In this type of map mode one logical point is equal to one-thousandth of inch. More...
const long | ONE_100TH_INCH = 5
| In this type of map mode one logical point is equal to one-hundredth of inch. More...
const long | ONE_10TH_INCH = 6
| In this type of map mode one logical point is equal to one-tenth of inch. More...
const long | ONE_INCH = 7
| In this type of map mode one logical point is equal to one inch. More...
const long | POINT = 8
| In this type of map mode one logical point is equal to one typographical point. More...
const long | TWIP = 9
| In this type of map mode one logical point is equal to one twentieth of typographical point. More...
const long | PIXEL = 10
| In this type of map mode one logical point is equal to one pixel. More...